Get Ransomware Resilience Configuration
Get ransomware resilience configuration for a storage array
Path Parameters
- arrayId int32 required
Responses
- 200
- 400
- 403
- 404
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
configInfo object
accountInfo object
organizationId stringorganizationName stringserviceAccountName stringsiteType stringPossible values: [
BACKUPVAULT,DATAVAULT]isStorageAirgapEnabled booleanthreatScanInfo object
isThreatScanEnabled booleanARDVMs object
machineCredentials object[]
ipAddress stringcredential object
id int32name stringdefenderVMs object
machineCredentials object[]
ipAddress stringcredential object
id int32name stringadditionalInfo object
crrSVMInfo object
cidr stringgateway stringbroadcastDomain string- configJobId integer
error object
errorMessage stringerrorCode int32
{
"configInfo": {
"accountInfo": {
"organizationId": "string",
"organizationName": "string",
"serviceAccountName": "string"
},
"siteType": "BACKUPVAULT",
"isStorageAirgapEnabled": true,
"threatScanInfo": {
"isThreatScanEnabled": true,
"ARDVMs": {
"machineCredentials": [
{
"ipAddress": "string",
"credential": {
"id": 0,
"name": "string"
}
}
]
},
"defenderVMs": {
"machineCredentials": [
{
"ipAddress": "string",
"credential": {
"id": 0,
"name": "string"
}
}
]
}
},
"additionalInfo": {
"crrSVMInfo": {
"cidr": "string",
"gateway": "string",
"broadcastDomain": "string"
}
}
},
"configJobId": 0,
"error": {
"errorMessage": "string",
"errorCode": 0
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...